
class Autogenerated {
 late bool success;
 late List<Data> data;
 late  String message;

  Autogenerated({required this.success,required this.data,required this.message});
  Autogenerated.fromJson(Map<String, dynamic> json) {
    success = json['success'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data.add(Data.fromJson(v));
      });
    }
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['success'] = success;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    data['message'] = message;
    return data;
  }
}

class Data {
  late int attendanceStatus;

  Data({required this.attendanceStatus});

  Data.fromJson(Map<String, dynamic> json) {
    attendanceStatus = json['attendance_status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['attendance_status'] = attendanceStatus;
    return data;
  }
}
